#!/bin/sh

# script for monitoring FreeBSD in cacti monitoring tool
# Author: Petr Macek (petr.macek@kostax.cz)

# expect 1 parameter (case insensitive), posibilities:
# linev - V input
# loadpct - Load in %
# bcharge - Battery charge
# timeleft - timeleft

# return value or -1 when error

# Please set this in /usr/local/etc/apcupsd.conf:
#STATTIME 900
#STATFILE /var/log/apcupsd.status
#LOGSTATS off

PATH=/etc:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

if [ $# -eq 1 ]
then
	case $1 in 
		[Ll][Ii][Nn][Ee][Vv]|[Ll][Oo][Aa][Dd][Pp][Cc][Tt]|[Bb][Cc][Hh][Aa][Rr][Gg][Ee]|[Tt][Ii][Mm][Ee][Ll][Ee][Ff][Tt])
			grep -i $1 /var/log/apcupsd.status | awk '{ print $3'}
		;;

		*)
			echo -1
		;;
	esac
else	# incorrect count of parameters 
	echo -1
fi

