#!/bin/sh

# script for monitoring FreeBSD in cacti monitoring tool
# Author: Petr Macek (petr.macek@kostax.cz)

# expect 1 parameter:
# 1 - type of firewall (ipfw, pf)

# return number of denied packets or -1 when error

PATH=/etc:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

if [ $# -eq 1 ]
then

	case $1 in 
		[Ii][Pp][Ff][Ww])
			ipfw -a list | egrep "deny|reset|unreach" | awk 'BEGIN {sum=0; } {  sum += $2; } END { print sum }'	
		;;
		[Ii][Pp][Ff])	
		# maybe not work
			ipfstat -nhio  | egrep "block" | awk '{  sum += $2; } END { print sum }'	

		;;
		[Pp][Ff])
		# not work

		;;
		*)
			echo -1
		;;
	esac
else	# incorrect count of parameters 
	echo -1
fi

