#!/bin/sh

# script for monitoring FreeBSD in cacti monitoring tool
# Author: Petr Macek (petr.macek@kostax.cz)

# expect 2 parameter:
# 1 - provider (posibilities: gm0, gm1, ...)
# 2 - action (posibilities: total, active)

# return number of disks or -1 when error

PATH=/etc:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

if [ $# -eq 2 ]
then

	# gmirror loaded?
	res=`kldstat -n geom_mirror.ko 2>&1 `
	if [ $? -eq 0 ]
	then
		# good provider?
		res=`gmirror status $1 2>&1`
		if [ $? -eq 0 ]
		then
			case $2 in
				[Tt][Oo][Tt][Aa][Ll])
					echo `gmirror list $1 | grep Compon | cut -d " " -f 2`
   				;;
				[Aa][Cc][Tt][Ii][Vv][Ee])
   					echo `gmirror status -s $1 | wc -l` 
   				;;
				*)	# incorrect action
					echo -1
			esac
        	else	# gmirror provider not exists
    	    		echo -1
    		fi
	else
		echo -1
	fi
else	# incorrect count of parameters 
	echo -1
fi
