#!/bin/sh

# script for monitoring FreeBSD in cacti monitoring tool
# Author: Petr Macek (petr.macek@kostax.cz)

# expect 1 parameter (case insensitive), posibilities:
# client - return number of emails in client queue
# mail - return number of emails in mail queue

# return number of emails in queue or -1 when error

# for sendmail and postfix only


PATH=/etc:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

# sendmail or postfix?
XMAILER=`grep mailq /etc/mail/mailer.conf | cut -f 3`
if [ $XMAILER = "/usr/local/sbin/sendmail" ]
then
	XMAILER=postfix
fi

case "$1" in
    [Cc][Ll][Ii][Ee][Nn][Tt])
	if [ $XMAILER = "postfix" ] 
	then 
		echo 0
	else	#sendmail
		mailq -Ac | tail -1 | cut -d' ' -f 3
	fi
    ;;

    [Mm][Aa][Ii][Ll])
	if [ $XMAILER = "postfix" ] 
	then
		mailq -Ac | tail -1 | cut -d' ' -f 5
	else
		mailq  | tail -1 | cut -d' ' -f 3
	fi
    ;;
    
    *)
	echo -1
    ;;
esac
