#!/bin/sh

# script for monitoring FreeBSD in cacti monitoring tool
# Author: Petr Macek (petr.macek@kostax.cz)

# expect 1 parameter (case insensitive), posibilities:
# rootdispersion - return rootdispersion 
# offset - return offset 
# jitter - return jitter 

# return number or -1 when error

PATH=/etc:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

case "$1" in
    [Rr][Oo][Oo][Tt][Dd][Ii][Ss][Pp][Ee][Rr][Ss][Ii][Oo][Nn])
    	ntpq -c rv | grep rootdispersion | cut -d "=" -f 4 | cut -d "," -f1
    ;;
	
    [Jj][Ii][Tt][Tt][Ee][Rr])
    	ntpq -c rv | grep jitter | cut -d "=" -f 4 | cut -d "," -f1

    ;;
	
    [Oo][Ff][Ff][Ss][Ee][Tt])
    	ntpq -c rv | grep offset | cut -d "=" -f 2 | cut -d "," -f1
	;;
    
    *)
	echo -1
    ;;
esac







