#!/bin/sh

# script for monitoring FreeBSD in cacti monitoring tool
# Author: Petr Macek (petr.macek@kostax.cz)

# expect 1 parameter (case insensitive), posibilities:
# total - return number of installed ports
# vulnerability - return number of broken ports

# return number of ports or -1 when error

# you must install portaudit for vulnerability

PATH=/etc:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

case "$1" in
    [Tt][Oo][Tt][Aa][Ll])
	pkg_info | wc -l
    ;;

    [Oo][Ll][Dd])
        pkg_version -I | grep -e "<" | wc -l
    ;;

    [Vv][Uu][Ll][Nn][Ee][Rr][Aa][Bb][Ii][Ll][Ii][Tt][Yy])
        which portaudit >> /dev/null
        if [ $? -eq 0 ]
        then
                portaudit -X2 -a | grep problem\(s\) | cut -d " " -f 1
        else
                echo -1
        fi
    ;;

    *)
	echo -1
    ;;
esac







