#!/bin/sh

# script for monitoring FreeBSD in cacti monitoring tool
# Author: Petr Macek (petr.macek@kostax.cz)

# expect 1 parameter (case insensitive), posibilities:
# total - return number of processes
# d/i/l/r/s/t/w/z - return number of processes in specific state [man ps, section state]

# return number of processes or -1 when error


PATH=/etc:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

case "$1" in
    [Tt][Oo][Tt][Aa][ll])
	ps ax | wc -l
    ;;
    [Dd])
        ps ax | cut -c 12 | grep D | wc -l
    ;;
    [Ii])
        ps ax | cut -c 12 | grep I | wc -l
    ;;
    [Ll])
        ps ax | cut -c 12 | grep L | wc -l
    ;;
    [Rr])
        ps ax | cut -c 12 | grep R | wc -l
    ;;
    [Ss])
        ps ax | cut -c 12 | grep S | wc -l
    ;;
    [Tt])
        ps ax | cut -c 12 | grep T | wc -l
    ;;
    [Ww])
        ps ax | cut -c 12 | grep W | wc -l
    ;;
    [Zz])
        ps ax | cut -c 12 | grep Z | wc -l
    ;;

    *)
	echo -1
    ;;
esac
