#!/bin/sh

# script for monitoring FreeBSD in cacti monitoring tool
# Author: Petr Macek (petr.macek@kostax.cz)

# expect 2 parameter:
# 1 - tool (mptutil, camcontrol) 
# 2 - disk (da0, da1,...)

# return 1 (ok) or 0 (error) or -1 when error

PATH=/etc:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

if [ $# -eq 2 ]
then

	case $1 in 
		[Mm][Pp][Tt][Uu][Tt][Ii][Ll])
		
			mptutil volume status $2 | grep "state: OPTIMAL" > /dev/null
			if [ $? -eq 0 ]
			then
				echo 1
			else
				echo 0
			fi
		;;
		[Cc][Aa][Mm][Cc][Oo][Nn][Tt][Rr][Oo][Ll])
			camcontrol devlist | grep $2 | grep "VOLUME OK" > /dev/null
			if [ $? -eq 0 ]
			then
				echo 1
			else
				echo 0
			fi
		;;
		*)
			echo -1
		;;
	esac
else	# incorrect count of parameters 
	echo -1
fi

