#!/bin/sh

# script for monitoring FreeBSD in cacti monitoring tool
# Author: Petr Macek (petr.macek@kostax.cz)

# expect 1 parameter (case insensitive), posibilities:
# total - return number of disk in system
# error - return number of error 
#( It isn't real number of errors, only return value of smartcl. Number > 0 indicates error)

# return number or -1 when error 

# you must install smartd

PATH=/etc:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

case "$1" in
    [Tt][Oo][Tt][Aa][Ll])
	egrep  "^ad[0-9]{1,2}:" /var/run/dmesg.boot | cut -d ":" -f 1 | sort | uniq | wc -l	
    ;;
    
    [Ee][Rr][Rr][Oo][Rr])
	ERROR=0		
	for F in `egrep "^ad[0-9]{1,2}:" /var/run/dmesg.boot | cut -d ":" -f 1`
	do
                smartctl  -l error /dev/$F > /dev/null
                X=`echo $?`
                ERROR=`echo $X + $ERROR | bc`
	done
	echo $ERROR
    ;;

    *)
	echo -1
    ;;
esac
