#!/bin/sh

# script for monitoring FreeBSD in cacti monitoring tool
# Author: Petr Macek (petr.macek@kostax.cz)

# expect 1 parameter (case insensitive), posibilities:
# total - return number of users in system
# logged - return number of users logged in system
# nopassword - return number of users without password 

# return number of users or -1 when error
# only for users with UID > 999 !!!

PATH=/etc:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

case "$1" in
    [Tt][Oo][Tt][Aa][Ll])
	cat /etc/passwd | cut -d":" -f3 | grep -e "^[0-9]\{4\}$" | wc -l
    ;;
    
    [Ll][Oo][Gg][Gg][Ee][Dd])
	who | wc -l
    ;;

    [Nn][Oo][Pp][Aa][Ss][Ss][Ww][Oo][Rr][Dd])
	cat /etc/master.passwd | cut -d":" -f2,3 | grep -e ":[0-9]\{4\}$" | grep -c -e"\*"
    ;;
    
    *)
	echo -1
    ;;
esac
